Get NAND Flash Spot Price Data
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/other/semiconductor/nand-flash-spot-price \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/other/semiconductor/nand-flash-spot-price"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/other/semiconductor/nand-flash-spot-price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"avg": 123,
"date": "<string>",
"high": 123,
"low": 123,
"symbol": "<string>"
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Semiconductor
Get NAND Flash Spot Price Data
OpenAPI JSON Spec Retrieve NAND Flash spot price data, filtered by item and date range.
GET
/
v1
/
other
/
semiconductor
/
nand-flash-spot-price
Get NAND Flash Spot Price Data
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
NAND Flash item
Available options:
MLC 128Gb 16GBx8, MLC 256Gb 32GBx8, MLC 32Gb 4GBx8, MLC 64Gb 8GBx8, SLC 16Gb 2GBx8, SLC 1Gb 128MBx8, SLC 2Gb 256MBx8, SLC 4Gb 512MBx8, SLC 8Gb 1GBx8 Start time (Unix timestamp in seconds)
End time (Unix timestamp in seconds)
⌘I

